packer {
  required_plugins {
    qemu = {
      version = ">= 1.0.10"
      source  = "github.com/hashicorp/qemu"
    }
  }
}

source "qemu" "almalinux-9" {
  iso_url          = "https://repo.almalinux.org/almalinux/9.3/isos/x86_64/AlmaLinux-9.3-x86_64-boot.iso"
  iso_checksum     = "sha256:af5377a1d16bbe599ea91a8761ad645f2f54687075802bdc0c0703ee610182e9"
  output_directory = "/srv/kvm/templates/"
  shutdown_command = "echo 'packer' | sudo -S poweroff"
  disk_size        = "5000M"
  format           = "qcow2"
  accelerator      = "kvm"
  headless         = "true"
  ssh_username     = "xadmin"
  ssh_password     = "packer"
  ssh_timeout      = "20m"
  vnc_bind_address = "0.0.0.0"
  vm_name          = "almalinux-9"
  net_device       = "virtio-net"
  disk_interface   = "virtio"
  boot_wait        = "10s"
  boot_command     = ["<tab> text inst.ks=http://ks-v1.int.metaunix.net/kickstarts/almalinux-9-server.ks<enter><wait>"]
}

build {
  sources = ["source.qemu.almalinux-9"]
}
